{
  "name": "@tsg-dsp/cli",
  "version": "0.8.0",
  "description": "Configuration Bootstrap CLI tool",
  "engines": {
    "node": ">= 22"
  },
  "bin": {
    "tsg": "dist/bin/tsg-cli.js"
  },
  "scripts": {
    "build": "tsc -p tsconfig.json"
  },
  "type": "module",
  "license": "Apache-2.0",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/tno-tsg/dataspace-protocol/tno-security-gateway.git",
    "directory": "tools/cli"
  },
  "publishConfig": {
    "access": "public"
  },
  "devDependencies": {
    "@types/node": "^22.13.4",
    "@types/semver": "^7.5.8",
    "typescript": "^5.7.3"
  },
  "dependencies": {
    "@commander-js/extra-typings": "^13.1.0",
    "@inquirer/prompts": "^7.3.2",
    "axios": "^1.7.8",
    "chalk": "^5.0.0",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.0",
    "commander": "^13.1.0",
    "eta": "^3.5.0",
    "inquirer": "^12.4.2",
    "postgres": "^3.4.5",
    "reflect-metadata": "^0.2.2",
    "semver": "^7.7.1",
    "tslib": "^2.8.1",
    "yaml": "^2.6.1"
  }
}
